Loading...
Searching...
No Matches
Miscellaneous
Foundation Classes » General datastructures

## Topics

| String

## Classes

class | BALL::Bit
class | BALL::BitVector
class | BALL::TContour< T >
class | BALL::TContourLine< T >
class | BALL::TContourSurface< T >
class | BALL::List< Value >
class | BALL::Quadruple< T1, T2, T3, T4 >
class | BALL::RegularExpression
class | BALL::Triple< T1, T2, T3 >

## Macros

#define | BALL_FOREACH(container, element_iterator)

## Typedefs

typedef TContour< float > | BALL::Contour

## Detailed Description

## Macro Definition Documentation

## BALL_FOREACH

#define BALL_FOREACH | ( |  | container,
|  |  | element_iterator )

Value:
for (element_iterator = container.begin(); \
!element_iterator.isEnd(); \
++element_iterator)

Container Iteration Macro. Use this macro for convenient iteration over BALL container classes.

  Example:

          HashMap<int,int> hm;
          HashMap<int,int>::Iterator it;
          BALL_FOREACH(p,it)
          {
            cout << it->first << endl;
          }

Parameters

  container | an instance of a BALL container class
  element_iterator | an iterator of the container class

Definition at line 29 of file DATATYPE/forEach.h.

## Typedef Documentation

## Contour

typedef TContour<float> BALL::Contour

Default type

Definition at line 95 of file contour.h.